it.csi.mddtools.guigen

## Interface ExtraColumn

- All Superinterfaces:
    Column, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ExtraColumn
      extends Column

  A representation of the model object 'Extra Column'. Tipo specifico di Column utilizzabile in un TableCustomizationParam per aggiungere colonne ad una Table presente in un PanelDef

  The following features are supported:

  - `Insert After`
  See Also:
    `GuigenPackage.getExtraColumn()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Column` | `getInsertAfter()` Returns the value of the 'Insert After' reference
    `void` | `setInsertAfter(Column value)` Sets the value of the '`Insert After`' reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.Column

      `getActiveFlagSelector, getCustomSortPropertySelector, getEditableFlagSelector, getFieldMaxLength, getLabel, getMultiDataBinding, getMultidataKeySelector, getMultidataPropertySelector, getMultidataValueSelector, getSelector, getTooltip, isCustomDecorator, isEditable, isEventActive, isSortable, setActiveFlagSelector, setCustomDecorator, setCustomSortPropertySelector, setEditable, setEditableFlagSelector, setEventActive, setFieldMaxLength, setLabel, setMultiDataBinding, setMultidataKeySelector, setMultidataPropertySelector, setMultidataValueSelector, setSelector, setSortable, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getInsertAfter

          Column getInsertAfter()

      Returns the value of the 'Insert After' reference. Indica in che posizione deve essere aggiunta la nuova colonna:
      - se l'attributo non è impostato la colonna verrà aggiunta in prima posizione
      - se l'attributo è valorizzato la colonna verrà inserita dopo la colonna indicata
      Returns:
        the value of the 'Insert After' reference.
      See Also:
        `setInsertAfter(Column)`, `GuigenPackage.getExtraColumn_InsertAfter()`

    - #### setInsertAfter

          void setInsertAfter(Column value)

      Sets the value of the '`Insert After`' reference.
      Parameters:
        `value` - the new value of the 'Insert After' reference.
      See Also:
        `getInsertAfter()`